use super::Iconize;
use std::fmt;

pub struct BacklightFormatter {
    percentage: usize,
}

impl BacklightFormatter {
    pub fn new() -> Self {
        Self { percentage: 0 }
    }

    pub fn set_percentage(&mut self, p: usize) {
        self.percentage = p;
    }

    pub fn get_percentage(&self) -> String {
        format!("{}%", self.percentage)
    }
}

impl Iconize for BacklightFormatter {
    fn set_icon(&self) -> &str {
        "display-brightness-symbolic"
    }
}

impl fmt::Display for BacklightFormatter {
    fn fmt(&self, f: &mut fmt::Formatter<'_>) -> fmt::Result {
        return write!(f, "{}", self.get_percentage());
    }
}
